Gift Card Configuration
Gift card settings and denominations.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Returns the Gift Card configuration
application/json
squareAccessTokenstringRequiredExample:
Square access token for managing gift cards
sq0atp-********giftCardsBuyLinkstringRequiredExample:
Gift cards buy link
https://www.pingpod.com/gift-cardsisEnabledbooleanRequiredExample:
Square gift cards are enabled
true404
Gift Card configuration not found
get/tenants/{tenantId}/integrations/square
GET /apis/v2/tenants/{tenantId}/integrations/square HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"squareAccessToken": "sq0atp-********",
"giftCardsBuyLink": "https://www.pingpod.com/gift-cards",
"isEnabled": true
}patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
squareAccessTokenstringOptionalExample:
Square access token for managing gift cards
sq0atp-********giftCardsBuyLinkstringOptionalExample:
Gift cards buy link
https://www.pingpod.com/gift-cardsisEnabledbooleanOptionalExample:
Square gift cards are enabled
trueResponses
200
Returns the updated Gift Card configuration
application/json
squareAccessTokenstringRequiredExample:
Square access token for managing gift cards
sq0atp-********giftCardsBuyLinkstringRequiredExample:
Gift cards buy link
https://www.pingpod.com/gift-cardsisEnabledbooleanRequiredExample:
Square gift cards are enabled
true422
Returns an ErrorDto in case of validation errors or failures.
patch/tenants/{tenantId}/integrations/square
PATCH /apis/v2/tenants/{tenantId}/integrations/square HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 112
{
"squareAccessToken": "sq0atp-********",
"giftCardsBuyLink": "https://www.pingpod.com/gift-cards",
"isEnabled": true
}{
"squareAccessToken": "sq0atp-********",
"giftCardsBuyLink": "https://www.pingpod.com/gift-cards",
"isEnabled": true
}Last updated
Was this helpful?

